Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.vocabulary
Class RDF

    java.lang.Object
      com.hp.hpl.jena.vocabulary.RDF

    public class RDF

extends java.lang.Object

The standard RDF vocabulary.

Version:
  $Id: RDF.java,v 1.14 2008/01/02 12:07:29 andy_seaborne Exp $
Author:
  bwm; updated by kers/daniel/christopher

Nested Class Summary
`static class` | `RDF.Nodes` The same items of vocabulary, but at the Node level, parked inside a nested class so that there's a simple way to refer to them.

Field Summary
`static Resource` | `Alt`
`static Resource` | `Bag`
`static Property` | `first`
`static Resource` | `List`
`static Resource` | `nil`
`static Property` | `object`
`static Property` | `predicate`
`static Resource` | `Property`
`static Property` | `rest`
`static Resource` | `Seq`
`static Resource` | `Statement`
`static Property` | `subject`
`static Property` | `type`
`static Property` | `value`

Constructor Summary
`RDF()`

Method Summary
`static java.lang.String` | `getURI()` returns the URI for this schema
`static Property` | `li(int i)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Alt

    public static final Resource Alt

### Bag

    public static final Resource Bag

### Property

    public static final Resource Property

### Seq

    public static final Resource Seq

### Statement

    public static final Resource Statement

### List

    public static final Resource List

### nil

    public static final Resource nil

### first

    public static final Property first

### rest

    public static final Property rest

### subject

    public static final Property subject

### predicate

    public static final Property predicate

### object

    public static final Property object

### type

    public static final Property type

### value

    public static final Property value

Constructor Detail

### RDF

    public RDF()

Method Detail

### getURI

    public static java.lang.String getURI()

  returns the URI for this schema

  Returns:
    the URI for this schema

### li

    public static Property li(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP